var debugAppPageLoaded = true;

// Current browser identification
var browserName;

var browserEnum = {
    OPERA: 1,
    FIREFOX: 2,
    SAFARI: 3,
    IE: 4,
    EDGE: 5,
    CHROME: 6,
    UNKNOWN: 7
};
var browserType = browserEnum.UNKNOWN;

function getBrowser() {

    var isIE = false;

    if ((navigator.userAgent.indexOf("Opera") || navigator.userAgent.indexOf('OPR')) != -1) {
        browserName = "Opera";
        browserType = browserEnum.OPERA;
    } else if (navigator.userAgent.indexOf("Chrome") != -1) {
        browserName = "Chrome";
        browserType = browserEnum.CHROME;
    } else if (navigator.userAgent.indexOf("Safari") != -1) {
        browserName = "Safari";
        browserType = browserEnum.SAFARI;
    } else if (navigator.userAgent.indexOf("Firefox") != -1) {
        browserName = "Firefox";
        browserType = browserEnum.FIREFOX;
    } else if ((navigator.userAgent.indexOf("MSIE") != -1) || (!!document.documentMode == true)) //IF IE > 10
    {
        browserName = "IE";
        browserType = browserEnum.IE;
        isIE = true;
    }

    var isEdge = !isIE && !!window.StyleMedia;
    if (isEdge) {
        browserName = "Edge";
        browserType = browserEnum.EDGE;

    }
}


var $j = jQuery.noConflict(true);
//var extensionId = "cdijbbemihbdkhhkfplcjlmmclljfeln";

$j(document).ready(function() {
    if (debugAppPageLoaded) console.log("App page loaded (Avatier extension page)");

    getBrowser();

    try {

        if ('undefined' === typeof safariStartupFlag) {
            // We are going to tell our background that we are ready
            // to navigate to our app url
            if (browserType === browserEnum.EDGE) {
                browser.runtime.sendMessage({ method: "StartAppLogin", url: document.location.href },
                    function(response) {
                        // empty handler essentially
                        if (debugAppPageLoaded) console.log("Sent background message successfully");
                    });

            } else {

                chrome.runtime.sendMessage({ method: "StartAppLogin", url: document.location.href },
                    function(response) {
                        // empty handler essentially
                        if (debugAppPageLoaded) console.log("Sent background message successfully");
                    });

            }

        } else {
            var j = { method: "StartAppLogin", url: document.location.href };
            safari.self.tab.dispatchMessage('message', j);
            if (debugAppPageLoaded) console.log("sent StartAppLogin message to global (background) ");

        }
    } catch (e) {
        if (debugAppPageLoaded) console.log("connecting html error = " + e);
    }
});